OpenTTD Source: SlTownReceived Class Reference

OpenTTD Source 15.0-RC2

Public Member Functions | Static Public Attributes
SlTownReceived Class Reference
Inheritance diagram for SlTownReceived:

## Public Member Functions
void | Save (Town *t) const override
void | Load (Town *t) const override
Public Member Functions inherited from DefaultSaveLoadHandler< SlTownReceived, Town >
SaveLoadTable | GetDescription () const override
| Get the description of the fields in the savegame.
SaveLoadCompatTable | GetCompatDescription () const override
| Get the pre-header description of the fields in the savegame.
void | Save (void *object) const override
| Save the object to disk.
void | Load (void *object) const override
| Load the object from disk.
virtual void | LoadCheck (Town *object) const
void | LoadCheck (void *object) const override
| Similar to load, but used only to validate savegames.
virtual void | FixPointers (Town *object) const
void | FixPointers (void *object) const override
| A post-load callback to fix SL_REF integers into pointers.
Public Member Functions inherited from SaveLoadHandler
SaveLoadTable | GetLoadDescription () const
| Get the description for how to load the chunk.

## Static Public Attributes
static const SaveLoad | description []
static const SaveLoadCompatTable | compat_description = _town_received_sl_compat

## Additional Inherited Members
Data Fields inherited from SaveLoadHandler
std::optional< std::vector< SaveLoad > > | load_description

## Detailed Description

Definition at line 197 of file town_sl.cpp.

## Member Function Documentation

## ◆ Load()

void SlTownReceived::Load | ( | Town * | t | ) | const
| inlineoverridevirtual

Reimplemented from DefaultSaveLoadHandler< SlTownReceived, Town >.

Definition at line 215 of file town_sl.cpp.

## ◆ Save()

void SlTownReceived::Save | ( | Town * | t | ) | const
| inlineoverridevirtual

Reimplemented from DefaultSaveLoadHandler< SlTownReceived, Town >.

Definition at line 207 of file town_sl.cpp.

## Field Documentation

## ◆ compat_description

const SaveLoadCompatTable SlTownReceived::compat_description = _town_received_sl_compat
| inlinestatic

Definition at line 205 of file town_sl.cpp.

## ◆ description

const SaveLoad SlTownReceived::description[]
| inlinestatic

Initial value:
= {
SLE_CONDVAR(TransportedCargoStat<uint16_t>, old_max, SLE_UINT16, SLV_165, SL_MAX_VERSION),
SLE_CONDVAR(TransportedCargoStat<uint16_t>, new_max, SLE_UINT16, SLV_165, SL_MAX_VERSION),
SLE_CONDVAR(TransportedCargoStat<uint16_t>, old_act, SLE_UINT16, SLV_165, SL_MAX_VERSION),
SLE_CONDVAR(TransportedCargoStat<uint16_t>, new_act, SLE_UINT16, SLV_165, SL_MAX_VERSION),
}
SLE_CONDVAR
#define SLE_CONDVAR(base, variable, type, from, to)
Storage of a variable in some savegame versions.
Definition saveload.h:883
SL_MAX_VERSION
@ SL_MAX_VERSION
Highest possible saveload version.
Definition saveload.h:416
SLV_165
@ SLV_165
165 23304
Definition saveload.h:241
TransportedCargoStat
Store the maximum and actually transported cargo amount for the current and the last month.
Definition town_type.h:123

Definition at line 199 of file town_sl.cpp.

The documentation for this class was generated from the following file:

- src/saveload/town_sl.cpp